{% if not is_owner %}
    {% extends "shuup/front/base.jinja" %}
{% else %}
    {% extends "shuup/front/dashboard/dashboard.jinja" %}
{% endif %}
{% block title -%}{{ customer_wishlist.name }}{%- endblock %}

{% set item_count = customer_wishlist.products.count() %}

{% block breadcrumb %}
    <ol class="breadcrumb">
        <li><a href="/">{% trans %}Home{% endtrans %}</a></li>
        <li><a href="{{ url("shuup:personal_wishlists") }}">{% trans %}Wishlists{% endtrans %}</a></li>
        <li class="active">{{ customer_wishlist.name }}</li>
    </ol>
{% endblock %}

{% macro render_wishlist() %}
<h1>
    {{ customer_wishlist.name }}
</h1>
{% if item_count %}
{% if is_owner %}
<div class="row">
    <div class="col-md-12">
        <p class="share-links">
        {% trans %}Share: {% endtrans %}
            <a href="https://facebook.com/sharer/sharer.php" target="_blank" aria-label="Share on Facebook"><i class="fa fa-fw fa-facebook"></i></a>
            <a href="https://twitter.com/intent/tweet/?text={% trans %}Check out my wishlist{% endtrans %};url={{ request.build_absolute_uri() }}" target="_blank" aria-label="Share on Twitter"><i class="fa fa-fw fa-twitter"></i></a>
            <a href="https://plus.google.com/share?url={{ request.build_absolute_uri() }}" target="_blank" aria-label="Share on Google+"><i class="fa fa-fw fa-google-plus"></i></a>
            <a href="https://www.tumblr.com/widgets/share/tool?posttype=link&title={% trans %}Check out my wishlist{% endtrans %}&canonicalUrl={{ request.build_absolute_uri() }}&shareSource=tumblr_share_button" target="_blank" aria-label="Share on Tumblr"><i class="fa fa-fw fa-tumblr"></i></a>
            <a href="https://pinterest.com/pin/create/button/?url={{ request.build_absolute_uri() }}&summary={{ customer_wishlist.name }}" target="_blank" aria-label="Share on Pinterest"><i class="fa fa-fw fa-pinterest"></i></a>
            <a href="mailto:?subject={% trans %}Check out my wishlist{% endtrans %}&body={{ request.build_absolute_uri() }}" target="_self" aria-label="Share by E-Mail"><i class="fa fa-fw fa-envelope-o"></i></a>
        </p>
    </div>
</div>
{% endif %}
<div class="well">
    <div class="table-responsive">
        <table class="table">
            <tbody>
                {% for shop_product in customer_wishlist.products.all() %}
                    {% set is_visible = shop_product.is_visible(request.customer) %}
                    {% set image = shop_product.product.primary_image %}
                    {% if not image and shop_product.product.variation_parent %}
                        {% set image = shop_product.product.variation_parent.primary_image %}
                    {% endif %}
                    {% set thumbnail = image|thumbnail(size=(200,200), crop="smart", upscale=True) %}
                    {% set product_url = url("shuup:product", pk=shop_product.product.pk, slug=shop_product.product.slug) %}
                    {% set remove_product_url = url("shuup:remove_product_from_wishlist",
                                                    pk=customer_wishlist.pk,
                                                    shop_product_pk=shop_product.pk)%}
                    <tr>
                        <td class="wishlist-product-image">
                            <div style="background-image:url('{% if thumbnail and is_visible %}{{ thumbnail }}{% else %}{{ static('shuup/front/img/no_image.png') }}{% endif %}')"></div>
                        </td>
                        <td>
                            {% if is_visible %}
                                <h2>{{ shop_product.get_name() }}</h2>
                                <p>{{ shop_product.get_name()|safe }}</p>
                            {% else %}
                                <h2>{{ _("Product not available") }}</h2>
                            {% endif %}
                        </td>
                        <td class="text-right">
                            <div class="btn-vertical">
                                {% if is_visible %}
                                <a href="{{ product_url }}" class="btn btn-primary">
                                    <i class="fa fa-search"></i>
                                    {% trans %}View{% endtrans %}
                                </a>
                                {% endif %}
                                {% if is_owner %}
                                    <form method="POST"
                                          action="{{ remove_product_url }}">
                                        {% csrf_token %}
                                        <button type="submit"
                                                class="btn btn-primary remove-from-wishlist"
                                                data-shop-product-id="{{ shop_product.id }}"
                                                data-wishlist-id="{{ customer_wishlist.pk }}">
                                            <i class="fa fa-trash-o"></i>
                                            {% trans %}Remove{% endtrans %}
                                        </button>
                                    </form>
                                {% endif %}
                            </div>
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
</div>
{% else %}
    <p class="lead">
        <i class="fa fa-info-circle text-info"></i> {{ _("This list is empty.") }}
    </p>
{% endif %}
{% endmacro %}


{% set render = render_wishlist() %}

{% block content %}
    {% if not is_owner %}
        {{ render }}
    {% else %}
        {{ super() }}
    {% endif %}
{% endblock %}

{% block dashboard_content %}
    {{ render }}
{% endblock %}
